Codes QR
GET https://okk.link/api/qr-codes/
curl --request GET \
--url 'https://okk.link/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://okk.link/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| search | Facultatif Chaîne | La chaîne de recherche. |
| search_by | Facultatif Chaîne | Le champ sur lequel tu effectues la recherche. Valeurs autorisées : name. |
| type | Facultatif Chaîne | Le champ sur lequel tu effectues la recherche. Valeurs autorisées : text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix. |
| datetime_field | Facultatif Chaîne | Valeurs autorisées : datetime, last_datetime |
| datetime_start | Facultatif Chaîne | Filtrer les résultats à partir de cette date. Format Y-m-d H:i:s. |
| datetime_end | Facultatif Chaîne | Filtrer les résultats jusqu'à cette date. Format Y-m-d H:i:s. |
| order_by | Facultatif Chaîne | Le champ utilisé pour trier les résultats. Valeurs autorisées : qr_code_id, datetime, last_datetime, name, type. |
| order_type | Facultatif Chaîne | Ordre des résultats. Valeurs autorisées : ASC pour ordre croissant et DESC pour ordre décroissant. |
| page | Facultatif Entier | Le numéro de page pour lequel tu veux des résultats. Valeur par défaut : 1. |
| results_per_page | Facultatif Entier | Nombre de résultats souhaités par page. Valeurs autorisées : 10, 25, 50, 100, 250, 500, 1000. Valeur par défaut : 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"link_id": 1,
"type": "Example",
"name": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-09-17 00:10:09"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://okk.link/api/qr-codes?page=1",
"last": "https://okk.link/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://okk.link/api/qr-codes?page=1"
}
}
GET https://okk.link/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://okk.link/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://okk.link/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-09-17 00:10:09"
}
}
POST https://okk.link/api/qr-codes
| Paramètres | Détails | Description |
|---|---|---|
curl --request POST \
--url 'https://okk.link/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://okk.link/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-09-17 00:10:09"
}
}
POST https://okk.link/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://okk.link/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://okk.link/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-09-17 00:10:09"
}
}
DELETE https://okk.link/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://okk.link/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://okk.link/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \